Bug 573345 - Review Request: php-pear-CAS - Central Authentication Service client library in php
Summary: Review Request: php-pear-CAS - Central Authentication Service client library ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Nalley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 549604
Blocks: 577467
TreeView+ depends on / blocked
 
Reported: 2010-03-14 10:03 UTC by Remi Collet
Modified: 2010-08-03 17:20 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-06-03 18:08:26 UTC
david: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2010-03-14 10:03:33 UTC
Spec URL: http://remi.fedorapeople.org/php-pear-CAS.spec
SRPM URL: http://remi.fedorapeople.org/php-pear-CAS-1.1.0-0.1.RC7.remi.src.rpm
Description: 
This package is a PEAR library for using a Central Authentication Service.

rpmlint : 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=2051529


This library is bundled with GLPI, so must be package separately.

This library use domxml-php4-to-php5.php which is submit as another review.

Another choice could be to install it in /usr/share/php and call it php-phpCAS, but I prefer to use the pear installer, as upstream provides a package.xml.

Comment 1 David Nalley 2010-03-25 03:52:42 UTC
Remi: 

Thanks for taking this on. 

OK: rpmlint must be run on every package. The output should be posted in the review.

[ke4qqq@nalleyx60 SPECS]$ rpmlint ./php-pear-CAS.spec ../SRPMS/php-pear-CAS-1.1.0-0.1.RC7.fc12.src.rpm ../RPMS/noarch/php-pear-CAS-1.1.0-0.1.RC7.fc12.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
Sadly source itself doesn't seem to have any license claims, however there is a README which is in the tarball and indicates that it's BSD. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[ke4qqq@nalleyx60 SOURCES]$ md5sum CAS-1.1.0RC7*
25a45a872917d8f30b9de728725a1dc4  CAS-1.1.0RC7.tgz
25a45a872917d8f30b9de728725a1dc4  CAS-1.1.0RC7.tgz.1


OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
OK: Packages must NOT bundle copies of system libraries. 

There is of course a bundled library, but you have addressed that. 

NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 



Needless to say, there is the dependency that this ticket notes (and is a require in the package) of domxml-php4-php5, but the package appears to be in good shape, so this package is APPROVED with the knowledge that you will have to wait until the other package is approved before you can push. 

Thanks for the work, Remi!

Comment 2 Remi Collet 2010-05-15 09:54:10 UTC
New Package CVS Request
=======================
Package Name: php-pear-CAS
Short Description: Central Authentication Service client library in php
Owners: remi
Branches: F-12 F-13 EL-5 EL-6
InitialCC:

Comment 3 Dennis Gilmore 2010-05-18 18:26:51 UTC
CVS Done

Comment 4 Fedora Update System 2010-05-20 17:02:43 UTC
php-pear-CAS-1.1.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.0-1.fc13

Comment 5 Fedora Update System 2010-05-20 17:03:08 UTC
php-pear-CAS-1.1.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.0-1.fc12

Comment 6 Fedora Update System 2010-05-20 17:03:29 UTC
php-pear-CAS-1.1.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.0-1.el5

Comment 7 Fedora Update System 2010-05-20 18:38:20 UTC
php-pear-CAS-1.1.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.1-1.fc13

Comment 8 Fedora Update System 2010-05-20 18:38:37 UTC
php-pear-CAS-1.1.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.1-1.fc12

Comment 9 Fedora Update System 2010-05-20 18:38:52 UTC
php-pear-CAS-1.1.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.1-1.el5

Comment 10 Fedora Update System 2010-05-21 00:30:56 UTC
php-pear-CAS-1.1.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-CAS'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.1-1.el5

Comment 11 Fedora Update System 2010-05-22 01:45:42 UTC
php-pear-CAS-1.1.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-CAS'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.1-1.fc12

Comment 12 Fedora Update System 2010-05-22 01:53:27 UTC
php-pear-CAS-1.1.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-CAS'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.1-1.fc13

Comment 13 Fedora Update System 2010-06-03 18:08:19 UTC
php-pear-CAS-1.1.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-06-03 18:10:35 UTC
php-pear-CAS-1.1.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-06-08 21:41:24 UTC
php-pear-CAS-1.1.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-08-03 17:18:34 UTC
php-pear-CAS-1.1.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.2-1.fc13

Comment 17 Fedora Update System 2010-08-03 17:19:21 UTC
php-pear-CAS-1.1.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.2-1.fc12

Comment 18 Fedora Update System 2010-08-03 17:20:14 UTC
php-pear-CAS-1.1.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/php-pear-CAS-1.1.2-1.el5


Note You need to log in before you can comment on or make changes to this bug.